package com.simualteSmack;

import com.simualteSmack.model.Packet;
/**      
 * @date 2011-7-31  
 * @author zhanghaitao     
 * @version 1.0 
 *     
 */
public interface PacketFilter {

	/**
	 * Tests whether or not the specified packet should pass the filter.
	 * 
	 * @param packet
	 *            the packet to test.
	 * @return true if and only if <tt>packet</tt> passes the filter.
	 */
	public boolean accept(Packet packet);
}
